// RFC1006DemoDlg.h : header file
//

#if !defined(AFX_RFC1006DEMODLG_H__600D43BF_373D_45C3_96C6_F3C04C6FDCB6__INCLUDED_)
#define AFX_RFC1006DEMODLG_H__600D43BF_373D_45C3_96C6_F3C04C6FDCB6__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
#include "HexEditCtrl.h"

/////////////////////////////////////////////////////////////////////////////
// CRFC1006DemoDlg dialog

class CRFC1006DemoDlg : public CDialog
{
// Construction
public:
	void ShowStatus ();
	void ShowStatus (int Res);
	void ShowStatus (const char * Text);
	BYTE m_RxData[0x10000]; // 64 KB
	long m_Ref;
  CString	m_strTxData;
  CString	m_strRxData;
	CString	m_DstTSAP;
	CString	m_SrcTSAP;

  void EnableDlgItem(int DlgId, BOOL bEnable = TRUE);
	CRFC1006DemoDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CRFC1006DemoDlg)
	enum { IDD = IDD_RFC1006DEMO_DIALOG };
	CButton	m_ctrlRxDataHex;
	CButton	m_ctrlTxDataHex;
	CButton	m_ctrlSrcTSAPHex;
	CButton	m_ctrlDstTSAPHex;
  CHexEditCtrl m_ctrlTxData; 
  CHexEditCtrl m_ctrlRxData; 
  CHexEditCtrl m_ctrlSrcTSAP; 
  CHexEditCtrl m_ctrlDstTSAP; 
	long	m_TxTimeout;
	long	m_RxTimeout;
	long	m_ConnectTimeout;
	CString	m_IPAdr;
	CString	m_strStatus;
	UINT	m_Port;
	BOOL	m_bServer;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CRFC1006DemoDlg)
	public:
	virtual BOOL DestroyWindow();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CRFC1006DemoDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnOpen();
	afx_msg void OnClose();
	afx_msg void OnConnect();
	afx_msg void OnGetStatus();
	afx_msg void OnTxData();
	afx_msg void OnRxData();
	afx_msg void OnTimer(UINT_PTR nIDEvent);
	afx_msg void OnSrcTSAPHex();
	afx_msg void OnDstSAPHex();
	afx_msg void OnTxDataHex();
	afx_msg void OnRxDataHex();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
public:
  long m_KeepAlive;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_RFC1006DEMODLG_H__600D43BF_373D_45C3_96C6_F3C04C6FDCB6__INCLUDED_)
